Page MenuHomePhabricator

Wikiml-l mail archives are empty after August 2019 (moderation enabled but nobody moderates, hence no emails get delivered)
Closed, ResolvedPublic

Description

The Wikiml-l is not archiving mail from August 2019. I have sent about 10 mails to last month( March and April 2020), nothing was archived.

https://lists.wikimedia.org/pipermail/wikiml-l/

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptApr 30 2020, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jayantanth renamed this task from The Wikiml-l not archiving mail from August 2019 to The Wikiml-l is not archiving mail from August 2019.Apr 30 2020, 6:28 PM
jayantanth updated the task description. (Show Details)

@jayantanth: Hi, do you know for sure that others on the mailing list received your recent emails, via the mailing list (not because of being CCed, etc)?

Aklapper renamed this task from The Wikiml-l is not archiving mail from August 2019 to Wikiml-l mail archives are empty after August 2019.May 1 2020, 9:53 AM
Dzahn added a subscriber: Dzahn.May 1 2020, 10:15 AM

@jayantanth The list is set to "moderated" and therefore your messages are being held in moderation queue. The moderation queue is REALLY full.

At the same time the setting to tell posters when their messages are held for moderation is turned off, so you get no notification about it.

I gave tried today, three times to send the mails to "Wikiml-l". I have already subscribed to this mailing list long ago. I haven't received any error or bounce message from this list.

Dzahn added a comment.May 1 2020, 10:20 AM

@jayantanth Under "Membership Management" there is at the bottom "Set everyone's moderation bit, including those members not currently visible" and that is set to ON. This means most of the subscribers have the moderation bit set. This means "being moderated" not "being a moderator".

Dzahn added a comment.May 1 2020, 10:21 AM

Please mail wikiml-l-owner@lists.wikimedia.org to talk to the list admins about changing that setting and cleaning up the moderation queue.

@jayantanth Under "Membership Management" there is at the bottom "Set everyone's moderation bit, including those members not currently visible" and that is set to ON. This means most of the subscribers have the moderation bit set. This means "being moderated" not "being a moderator".

@Dzahn it's mean my all mails in this list not received by anyone or archive. So how do I send this mails to this list? Why my emails IDs are in moderation list. The lists maintainer could do anything??

Dzahn added a comment.EditedMay 1 2020, 10:27 AM

@jayantanth Yes, as i said above, the list admins can change these settings. Somebody did it on purpose. Or they confused what "moderation bit" means and thought it means being a moderator while it actually means "moderate this user".

It means your mail is received by the list but then held in the moderation queue and nobody is attending the moderation requests in a long time. Ask the email address above about changing that.

Dzahn added a comment.May 1 2020, 10:30 AM

It does not just affect you, it affects the majority of the list subscribers, but not all of them.

Thanks. I have emailed to list admin.

Aklapper renamed this task from Wikiml-l mail archives are empty after August 2019 to Wikiml-l mail archives are empty after August 2019 (moderation enabled but nobody moderates, hence no emails get delivered).May 1 2020, 12:51 PM

Actually, there are 3 list admins present. All 3 of them have gone inactive. So, the solution will be to appoint some others as list admin so that they can do the same.

Dzahn added a comment.EditedMay 4 2020, 11:05 AM

No problem, we can reset the password after new admins have been found. Let us know the new email addresses to add as admins. Ideally with a link to some wiki discussion about it.

colewhite triaged this task as Medium priority.May 4 2020, 11:11 PM
Praveenp added a subscriber: Praveenp.EditedMay 15 2020, 5:33 AM

Please remove inactive admins and [[:ml:User:Adithyak1997]] can be appointed as new Mailing list administrator. Community election result for Mailing list administrator can be seen here: [[:ml:വിക്കിപീഡിയ:കാര്യനിർവാഹകരുടെ_തിരഞ്ഞെടുപ്പ്#Candidate:Adithyak1997]].

Let us know the new email addresses to add as admins

My email address - adithyak04@gmail.com

Dzahn closed this task as Resolved.May 15 2020, 9:04 AM
Dzahn claimed this task.

@Praveenp @Adithyak1997 Thanks for the links to the election. I added the new email address to the list admin field. Then i reset the admin password with a shell command. You should have received an automatic email with the new password just now.

I did not remove any old admins/moderator yet so they had one last chance to be informed of the change. You can change any settings or remove them if you like using your new password.

Now if you go to "Tend to pending moderator requests" you can cleanup the pending messages and under "Membership management" you can remove the moderation bit from subscribers to make the list work again.

I am calling it resolved, if any unexpected issues with receiving the password let us know and reopen it.